#include <linux/soundcard.h>
#include <fcntl.h>
#include <mikmod.h>
#include "vorbis/codec.h"
#include "vorbis/vorbisfile.h"
#include <GL/gl.h>

MODULE *module;

/* load TAH pr0n */
void load_textures()
{
	load_tex("omg.png", 0);
	load_tex("oi.png", 1);
	load_tex("lakris.png", 2);
	load_tex("fontene1.png", 3);
	load_tex("termos.png", 4);
}

void mikmod_quit()
{
	Player_Stop();
	Player_Free(module);
	MikMod_Exit();
}

void init(void)
{
	MikMod_RegisterAllDrivers();
	MikMod_RegisterAllLoaders();
	/* do we want mikmod module player? */
		if(MikMod_Init("")) {
			fprintf(stderr, "MikMod: %s\n",MikMod_strerror(MikMod_errno));
			exit(1);
		}
		module = Player_Load("haha.xm", 128, 0);
		if(!module) {
			printf("MikMod Error: %s\n",MikMod_strerror(MikMod_errno));
			exit(1);
		}
		Player_Start(module);
}
